
.ql-container {
  box-sizing: border-box;
  font-family: Helvetica, Arial, sans-serif;
  font-size: 13px;
  height: 100%;
  margin: 0;
  position: relative
}

.ql-container.ql-disabled .ql-tooltip {
  visibility: hidden
}

.ql-container:not(.ql-disabled) li[data-list=checked]>.ql-ui,
.ql-container:not(.ql-disabled) li[data-list=unchecked]>.ql-ui {
  cursor: pointer
}

.ql-clipboard {
  left: -100000px;
  height: 1px;
  overflow-y: hidden;
  position: absolute;
  top: 50%
}

.ql-clipboard p {
  margin: 0;
  padding: 0
}

.ql-indent-1:not(.ql-direction-rtl) {
  padding-left: 3em
}

li.ql-indent-1:not(.ql-direction-rtl) {
  padding-left: 4.5em
}

.ql-indent-1.ql-direction-rtl.ql-align-right {
  padding-right: 3em
}

li.ql-indent-1.ql-direction-rtl.ql-align-right {
  padding-right: 4.5em
}

.ql-indent-2:not(.ql-direction-rtl) {
  padding-left: 6em
}

li.ql-indent-2:not(.ql-direction-rtl) {
  padding-left: 7.5em
}

.ql-indent-2.ql-direction-rtl.ql-align-right {
  padding-right: 6em
}

li.ql-indent-2.ql-direction-rtl.ql-align-right {
  padding-right: 7.5em
}

.ql-indent-3:not(.ql-direction-rtl) {
  padding-left: 9em
}

li.ql-indent-3:not(.ql-direction-rtl) {
  padding-left: 10.5em
}

.ql-indent-3.ql-direction-rtl.ql-align-right {
  padding-right: 9em
}

li.ql-indent-3.ql-direction-rtl.ql-align-right {
  padding-right: 10.5em
}

.ql-indent-4:not(.ql-direction-rtl) {
  padding-left: 12em
}

li.ql-indent-4:not(.ql-direction-rtl) {
  padding-left: 13.5em
}

.ql-indent-4.ql-direction-rtl.ql-align-right {
  padding-right: 12em
}

li.ql-indent-4.ql-direction-rtl.ql-align-right {
  padding-right: 13.5em
}

.ql-indent-5:not(.ql-direction-rtl) {
  padding-left: 15em
}

li.ql-indent-5:not(.ql-direction-rtl) {
  padding-left: 16.5em
}

.ql-indent-5.ql-direction-rtl.ql-align-right {
  padding-right: 15em
}

li.ql-indent-5.ql-direction-rtl.ql-align-right {
  padding-right: 16.5em
}

.ql-indent-6:not(.ql-direction-rtl) {
  padding-left: 18em
}

li.ql-indent-6:not(.ql-direction-rtl) {
  padding-left: 19.5em
}

.ql-indent-6.ql-direction-rtl.ql-align-right {
  padding-right: 18em
}

li.ql-indent-6.ql-direction-rtl.ql-align-right {
  padding-right: 19.5em
}

.ql-indent-7:not(.ql-direction-rtl) {
  padding-left: 21em
}

li.ql-indent-7:not(.ql-direction-rtl) {
  padding-left: 22.5em
}

.ql-indent-7.ql-direction-rtl.ql-align-right {
  padding-right: 21em
}

li.ql-indent-7.ql-direction-rtl.ql-align-right {
  padding-right: 22.5em
}

.ql-indent-8:not(.ql-direction-rtl) {
  padding-left: 24em
}

li.ql-indent-8:not(.ql-direction-rtl) {
  padding-left: 25.5em
}

.ql-indent-8.ql-direction-rtl.ql-align-right {
  padding-right: 24em
}

li.ql-indent-8.ql-direction-rtl.ql-align-right {
  padding-right: 25.5em
}

.ql-indent-9:not(.ql-direction-rtl) {
  padding-left: 27em
}

li.ql-indent-9:not(.ql-direction-rtl) {
  padding-left: 28.5em
}

.ql-indent-9.ql-direction-rtl.ql-align-right {
  padding-right: 27em
}

li.ql-indent-9.ql-direction-rtl.ql-align-right {
  padding-right: 28.5em
}

li.ql-direction-rtl {
  padding-right: 1.5em
}

li.ql-direction-rtl>.ql-ui:before {
  margin-left: .3em;
  margin-right: -1.5em;
  text-align: left
}

table {
  table-layout: fixed;
  width: 100%
}

table td {
  outline: none
}

.ql-code-block-container {
  font-family: monospace
}

.ql-video {
  display: block;
  max-width: 100%
}

.ql-video.ql-align-center {
  margin: 0 auto
}

.ql-video.ql-align-right {
  margin: 0 0 0 auto
}

.ql-bg-black {
  background-color: #000
}

.ql-bg-red {
  background-color: #e60000
}

.ql-bg-orange {
  background-color: #f90
}

.ql-bg-yellow {
  background-color: #ff0
}

.ql-bg-green {
  background-color: #008a00
}

.ql-bg-blue {
  background-color: #06c
}

.ql-bg-purple {
  background-color: #93f
}

.ql-color-white {
  color: #fff
}

.ql-color-red {
  color: #e60000
}

.ql-color-orange {
  color: #f90
}

.ql-color-yellow {
  color: #ff0
}

.ql-color-green {
  color: #008a00
}

.ql-color-blue {
  color: #06c
}

.ql-color-purple {
  color: #93f
}

.ql-font-serif {
  font-family: Georgia, Times New Roman, serif
}

.ql-font-monospace {
  font-family: Monaco, Courier New, monospace
}

.ql-size-small {
  font-size: .75em
}

.ql-size-large {
  font-size: 1.5em
}

.ql-size-huge {
  font-size: 2.5em
}

.ql-direction-rtl {
  direction: rtl;
  text-align: inherit
}

.ql-align-center {
  text-align: center
}

.ql-align-justify {
  text-align: justify
}

.ql-align-right {
  text-align: right
}

.ql-ui {
  position: absolute
}

.ql-editor.ql-blank::before {
  color: rgba(0, 0, 0, 0.6);
  content: attr(data-placeholder);
  font-style: italic;
  left: 15px;
  pointer-events: none;
  position: absolute;
  right: 15px
}